読者です 読者をやめる 読者になる 読者になる

ponkiti's blog

主に自分用、イベント参加メモや備忘録として利用

pipをeasy_installしようとしてエラーが出る

easy_install pipでエラーが出たが、sudoをつければ問題なくインストールできる。

$ sudo easy_install pip
Searching for pip
Reading http://pypi.python.org/simple/pip/
Best match: pip 1.5.6
Downloading https://pypi.python.org/packages/source/p/pip/pip-1.5.6.tar.gz#md5=01026f87978932060cc86c1dc527903e
Processing pip-1.5.6.tar.gz
Running pip-1.5.6/setup.py -q bdist_egg --dist-dir /tmp/easy_install-KipfP0/pip-1.5.6/egg-dist-tmp-HrfAEO
(省略)
Installed /Library/Python/2.7/site-packages/pip-1.5.6-py2.7.egg
Processing dependencies for pip
Finished processing dependencies for pip

pipがインストールできているか確認する。

$ pip
Usage:   
  pip <command> [options]
(省略)

これを入れた後で知ったのだが、pipのインストールは下記のようにすれば楽に入れられたらしい・・・。

Python - いつの間にかpipのインストールが楽になってた件 - Qiita

pipを入れようとしたら、以前なら「setuptools or distribute をインストール→easy_install pipを叩く」という手順でしたが、いつの間にかセットアップが楽になってました。

http://www.pip-installer.org/en/latest/installing.html

get-pip.pyというのを実行すれば一発で入るらしい。 なので、下記のコマンド一つでインストール可能になりました。

curl -kL https://raw.github.com/pypa/pip/master/contrib/get-pip.py | python